import request from "@/utils/request.js";

/**
 * 创建订单
 * 
 */
export function createOrder(data) {
  return request.post('system/front/order', data);
}


/**
 * 获取数据字典
 * @param {Object} data
 */
export function dictList(data) {
  return request.get('system/dict/data/type/'+ data);
}

/**
 * 物流轨迹查询
 * @param {Object} data
 */
export function queryDeliverTrace(data) {
  return request.post('system/kd100/wxmini/queryExpres',data);
}

/**
 * 支付结果
 * 
 */
export function payResult(data) {
  return request.post('mini/order/payResult/'+ data.orderId, data);
}
/**
 * 查询订单列表
 * 
 */
export function getOrderListApi(data) {
  return request.get('system/front/order/list', data);
}
/**
 * 查询订单列表
 * 
 */
export function getOrderList(data) {
  return request.get('mini/order/list', data);
}
/**
 * 查询订单详情
 * 
 */
export function getOrderDetail(id) {
  return request.get(`system/front/order/${id}`);
}


// 取消订单
export function cancelOrder(data) {
  return request.put(`system/front/order`,data);
}

// 查询运单明细
export function getCostDetails(data) {
  return request.get(`system//front/costDetails/list`,data);
}



